Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_remove_statement

## Name

librdf_model_remove_statement -- Remove a known statement from the model

## Synopsis

``int `librdf_model_remove_statement`` (librdf_model* `model`, librdf_statement* `statement`);`

## Arguments

`model`

  the model object

`statement`

  the statement

## Description

It must be a complete statement - all of subject, predicate, object parts must be present.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_model_add_string_literal_statement | Up | librdf_model_contains_statement